Replies: 4 (Who?), Viewed: 475 times.
Test Subject
Original Poster
#1 Old 5th Aug 2020 at 1:58 PM

This user has the following games installed:

Sims 3, World Adventures, Ambitions, Late Night, Generations, Pets, Showtime, Supernatural, Seasons, University Life
Default Expansions packs not showing in game
Hello, I've searched the web and forums but I didn't find a solution to my problem. I haven't played the sims 3 in a while. When i decided to play the I received the error message "Unable to start, please reinstall base game". I reapplied the 1.67 patch and the problem disappeard but when I entered the game only base game stuff was there. I have almost all expansions installed and not only one was showing. I am currently pateched to 1.67. I don't want to uninstall everything. I hope someone helps me. Thanks in advance.
Advertisement
In the Arena
retired moderator
#2 Old 15th Aug 2020 at 4:51 PM
Is the base game disc-based or digital? Are you able to launch the Launcher? or start via the ts3w.exe executable file?
Are all expansions disc-based as well? None in digital format via Origin or Steam or GOG or wherever?

But if the crucial troubleshooting step was shut down before we even begin troubleshooting, there's not many that want to go down this journey and help...because the first main cause may have been a faulty/corrupt install.

What OS is your system?
Test Subject
#3 Old 15th Aug 2020 at 7:21 PM Last edited by Smyrrna : 15th Aug 2020 at 7:33 PM. Reason: Had a second idea
Have you tried the repair function in Origin? There is a options button under the big 'play' button and in the menu it says something like 'repair game'. That doesn't cost you much effort, so I would try that first. This helped me once when one of my expansions was not recognized...

Another thought: Have you checked the tab "Expansions/Accessoires" in the launcher (there is a big play button and below that "Welcome" and then "Expensions/Accessoires"). It is possible now to choose with which pack you want to play and therefore it might be as simple as that, that you don't know about this function and by default none of these is checked. Verify that all packs you want to use are checked in the list. Or is the list empty?
Scholar
#4 Old 15th Aug 2020 at 7:57 PM
As I understand it, the "expansions not recognized" issue comes with patch 1.69 and Origin. So, if the game is on Origin, applying the 1.67 superpatcher wouldn't do anything and might cause more harm since it would be on 1.69.
So, we need to have answers to @ellacharmed's questions before we can advice properly.
Test Subject
Original Poster
#5 Old 24th Aug 2020 at 12:47 PM
Hello, sorry for late reply, I was on vacation. As I said I am patched to 1.67 and the only solution I could find was to uninstall the game.
Back to top